# Interface UseFunctionDefinition<ReturnType, Args, Config>

interface UseFunctionDefinition<
ReturnType = unknown,
Args extends any[] = any[],
Config extends
UseFunctionConfig<ReturnType, Args> = UseFunctionConfig<
ReturnType,
Args,
>,
> {
config?: Config;
fnc: UseFunctionType<Args, ReturnType>;
}

#### Type Parameters

- ReturnType = unknown
- Args extends any[] = any[]
- Config extends UseFunctionConfig<ReturnType, Args> = UseFunctionConfig<ReturnType, Args>

- Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:32

#####
Index

### Properties

config?
fnc

##
Properties

### `Optional` config

config?: Config

- Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:38

### fnc

fnc: UseFunctionType<Args, ReturnType>

- Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:37